Delete attribute
DELETE
/merchants/{merchantCode}/attributes/{attributeCode}
const url = 'https://customer.shopgate.io/v1/merchants/example/attributes/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://customer.shopgate.io/v1/merchants/example/attributes/exampleDelete attribute
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
attributeCode
required
string
Responses
Section titled “Responses”Successfully deleted
Media typeapplication/json
Validation error
Media typeapplication/json
object
errors
Array<object>
object
field
required
The parameter-field, that failed to validate, like “shopNumber”
string
value
The value, that was sent, like “xxx”
string
code
required
Machine readable error code
string
message
required
Human readable error code
string
Example
{ "errors": [ { "code": "ENUM_MISMATCH" } ]}Merchant, attribute or attribute value not found
Media typeapplication/json
Attribute is used for a product option or an extra
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
